Publish job
curl --request PUT \
--url https://openapi.rocketpunch.com/api/v1/jobs/{jobId}/active \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
'import requests
url = "https://openapi.rocketpunch.com/api/v1/jobs/{jobId}/active"
payload = {
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '2023-12-25', endDate: '2023-12-25'})
};
fetch('https://openapi.rocketpunch.com/api/v1/jobs/{jobId}/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": 123,
"status": "<string>",
"hiring": true,
"title": "<string>",
"seniorities": [
"<string>"
],
"employmentTypes": [
"<string>"
],
"webUrl": "<string>",
"subtitle": "<string>",
"jobCategory": "<string>",
"workType": "<string>",
"startAt": "<string>",
"endAt": "<string>"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}Jobs
Publish job
Authentication: The Authorization: Bearer <jwt> header is required.
Required OAuth scope: job:write.
PUT
/
api
/
v1
/
jobs
/
{jobId}
/
active
Publish job
Authorizations
Access token for user-context authentication. Send it in the Authorization: Bearer <jwt> header. Use the token your OAuth client app obtained via the Authorization Code + PKCE flow.
Headers
Supported response locales: ko, en, ja, zh-CN, zh-TW, es, fr, de, pt, th, vi. Default is ko.
Example:
"ko"
Path Parameters
Query Parameters
Company handle
Maximum string length:
255Pattern:
^[A-Za-z0-9_-]+$Was this page helpful?
⌘I